/******************************************************************************
*******************************************************************************
  ECE 270 Fall 2016

  Kernel HAL_asm.h
	
  Christopher Theriault
  Homework #:5

  Copyright DigiPen (USA) Corporation
        All Rights Reserved
	
*******************************************************************************
******************************************************************************/

/******************************************************************************
      Contains gcc symbol definitions that must be shared between both the
    assembly and C source files.
******************************************************************************/

/******************************************************************************
*******************************************************************************
    Definitions
*******************************************************************************
******************************************************************************/

#define   OS_READY            0x00
#define   OS_RUNNING          0x01

//   /
// \/ pt:
//  Left to the student to determine what these values should be
#define   BYTES_PER_WORD      0x04
#define   TCB_STATE_OFFSET    (BYTES_PER_WORD<<0x01)
#define   TIMER6_SR           0x40001010  // Can be deduced from stm32f429xx.h
#define   TIMER_IF            0x01

// EOF    Kernel HAL_asm.h
// Note: Some IDEs generate warnings if a file doesn't end in whitespace,
//  but Embedded Studio doesn't seem to be one of them.



